.TH sane\-ricoh2 5 "04 Sep 2019" "@PACKAGEVERSION@" "SANE Scanner Access Now Easy"
.IX sane\-ricoh2
.SH NAME
sane\-ricoh2 \- SANE backend for Ricoh flatbed scanners
.SH DESCRIPTION
The
.B sane\-ricoh2
library implements a SANE (Scanner Access Now Easy) backend that
provides access to the following Ricoh flatbed scanners:
.PP
.RS
SG-3110SFNw
.br
SG-3100SNw
.br
SP-100SU
.br
SP-111SU (SP-112SU)
.RE
.PP
.SH FILES
.TP
.I @LIBDIR@/libsane\-ricoh2.a
The static library implementing this backend.
.TP
.I @LIBDIR@/libsane\-ricoh2.so
The shared library implementing this backend (present on systems that
support dynamic loading).

.SH OPTIONS
The options the backend supports can either be selected through command line
options to programs like scanimage or through GUI elements in programs like
xscanimage or xsane.
.PP
The following options are supported by ricoh2:

.B \-\-mode color|gray

.RS
Color or grayscale mode.
.RE

.B \-\-resolution 300|600

.RS
DPI resolution.

.RE
.SH ENVIRONMENT
.TP
.B SANE_DEBUG_RICOH2
If the library was compiled with debug support enabled, this
environment variable controls the debug level for this backend. Higher
debug levels increase the verbosity of the output.

.SH "SEE ALSO"
sane(7), sane\-usb(5)
.SH AUTHOR
Stanislav Yuzvinsky
