.TH sane\-xerox_mfp 5 "15 Dec 2008" "@PACKAGEVERSION@" "SANE Scanner Access Now Easy"
.IX sane\-xerox_mfp
.SH NAME
sane\-xerox_mfp \- SANE backend for Xerox Phaser 3200MFP device et al.
.SH DESCRIPTION
The
.B sane\-xerox_mfp
library implements a SANE (Scanner Access Now Easy) backend that provides
access to several Samsung-based Samsung, Xerox, and Dell scanners.
Please see full list of supported devices at
http://www.sane\-project.org/sane\-supported\-devices.html

.SH CONFIGURATION
.I @CONFIGDIR@/xerox_mfp.conf
USB scanners do not need any configuration.

For SCX\-4500W in network mode you need to specify
.PP
.RS
.B tcp host_address [port]
.RE
.PP
The
.B host_address
is passed through resolver, thus can be a dotted quad or a name from /etc/hosts or resolvable through DNS.
.SH FILES
.TP
.I @CONFIGDIR@/xerox_mfp.conf
The backend configuration file. By default all scanner types/models are enabled, you
may want to comment out unwanted.
.TP
.I @LIBDIR@/libsane\-xerox_mfp.a
The static library implementing this backend.
.TP
.I @LIBDIR@/libsane\-xerox_mfp.so
The shared library implementing this backend (present on systems that
support dynamic loading).
.SH ENVIRONMENT
.B SANE_DEBUG_XEROX_MFP
If the library was compiled with debug support enabled, this
environment variable controls the debug level for this backend.  Higher
debug levels increase the verbosity of the output.

Example:
export SANE_DEBUG_XEROX_MFP=4

.SH LIMITATIONS
Multicast autoconfiguration for LAN scanners is not implemented yet. IPv6 addressing never been tested.

.SH BUGS AND SUPPORT
If you have found a bug or need support please follow open\-source way of acquiring support via
mail\-lists http://www.sane\-project.org/mailing\-lists.html or SANE bug tracker
http://www.sane\-project.org/bugs.html

.SH AUTHORS
Alex Belkin <abc@telekom.ru>
.br
Samsung SCX\-4500W scan over network support by
Alexander Kuznetsov <acca(at)cpan.org>
.br
Color scanning on Samsung M2870 model and Xerox Cognac 3215 & 3225 models by
Laxmeesh Onkar Markod <m.laxmeesh@samsung.com>

.SH "SEE ALSO"
.BR sane (7),
.BR sane\-usb (5)
.br
